Subject: Re: bug#44999: guix deploy Error reading from the channel

From: Ludovic Courtès <[email-masked]>
Date: Thu, 17 Dec 2020 12:37:26 +0100

Hi Jérémy,

Jérémy Korwin-Zmijowski <[email-masked]> skribis:

> I made some more attempts. I was unable to reproduce the previous
> scenario… Looks like with my ssh connections I put myself in an
> exceptionnal situation.
>
> All I got is `guix deploy` running forever (I let it more than 2 hours)
>
>    $ guix deploy ynm-droplet-declaration.scm
>    La (1) machine suivante sera déployée :
>      ynm1607086083
>
>    guix deploy: déploiement vers ynm1607086083...
>
> I have to kill it myself. There is no guix on the target system.
>
> As soon as I get some time I will try to determine where it stops.

Did it eventually succeed?  Or do you keep hitting hangs?

Thanks,
Ludo’.